Bug 672959 - [RFE] Integrate valgrind with gdb possibly through gdbserver.
Summary: [RFE] Integrate valgrind with gdb possibly through gdbserver.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: valgrind
Version: 6.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Mark Wielaard
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks: 782183 840699 853279
TreeView+ depends on / blocked
 
Reported: 2011-01-26 19:32 UTC by Travis Gummels
Modified: 2018-11-30 23:05 UTC (History)
7 users (show)

Fixed In Version: valgrind-3.8.1-2.1.el6
Doc Type: Release Note
Doc Text:
Embedded Valgrind gdbserver The valgrind package has been rebased to upstream version 3.8.1. This updated version contains, among other enhancements and bug fixes, an embedded gdbserver. For more information, refer to the Valgrind chapter and the Changes in Valgrind 3.8.1 appendix in the Red Hat Developer Toolset 1.1 User Guide.
Clone Of:
: 853279 (view as bug list)
Environment:
Last Closed: 2013-02-21 08:50:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0347 normal SHIPPED_LIVE valgrind bug fix and enhancement update 2013-02-20 20:53:42 UTC

Description Travis Gummels 2011-01-26 19:32:37 UTC
1. Customer Name

LLNL

2. What is the nature and description of the request?

It would be pretty spiffy if we could integrate valgrind and GDB, having GDB stop the inferior whenever valgrind detected an error. Apparently someone submitted a patch for this using gdbserver (the patch is in valgrind bugzilla), but as far as I (we?) know, it has never been submitted to gdb-patches (or even archer) for evaluation. 

valgrind has the ability to spawn gdb on error and present a "debuggable" image to gdb (despite being jitted). Several of our users (that can run serially) find this very useful. This sounds like it could be a more powerful version of this that may be very useful. 

3. Why does the customer need this? (List the business requirements here)

Increased efficiency for debugging.

4. How would the customer like to achieve this? (List the functional requirements here)

By integrating Valgrind with GDB

5. For each functional requirement listed in question 4, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

LLNL can perform testing.

6. Is there already an existing RFE upstream or in Red Hat bugzilla?

Discussion thread started by Tom Tromney regarding valgrind/gdb integration.

http://sourceware.org/ml/archer/2010-q1/msg00094.html

This looks like the appropriate BZ

https://bugs.kde.org/show_bug.cgi?id=214909

7. How quickly does this need resolved? (desired target release)

6.1

8. Does this request meet the RHEL Inclusion criteria (please review)

Yes

9. List the affected packages

valgrind
gdb

10. Would the customer be able to assist in testing this functionality if implemented?

Yes

Comment 1 RHEL Product and Program Management 2011-02-01 06:15:49 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 2 RHEL Product and Program Management 2011-02-01 19:11:22 UTC
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.

Comment 15 errata-xmlrpc 2013-02-21 08:50:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0347.html


Note You need to log in before you can comment on or make changes to this bug.